Panda3D

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions

# LightLensNode Class Reference

A derivative of Light and of Camera. More...

Inheritance diagram for LightLensNode:

List of all members.

## Public Member Functions
bool | isShadowCaster ()
| Returns whether this light is configured to cast shadows or not.
| output (ostream out)
| Outputs the Namable.
| setShadowCaster (bool caster, int buffer_xsize, int buffer_ysize)
| Sets the flag indicating whether this light should cast shadows or not.
| setShadowCaster (bool caster)
| Sets the flag indicating whether this light should cast shadows or not.
| setShadowCaster (bool caster, int buffer_xsize, int buffer_ysize, int sort)
| Sets the flag indicating whether this light should cast shadows or not.
| write (ostream out)
| write (ostream out, int indent_level)
## Static Public Member Functions
static TypeHandle | getClassType ()

## Detailed Description

A derivative of Light and of Camera.

The name might be misleading: it does not directly derive from LensNode, but through the Camera class. The Camera serves no purpose unless shadows are enabled.

## Member Function Documentation

static TypeHandle getClassType | ( |  | ) | `[static]`

Reimplemented from Camera.

Reimplemented in DirectionalLight, PointLight, and Spotlight.

bool isShadowCaster | ( |  | ) |

Returns whether this light is configured to cast shadows or not.

output | ( | ostream | out | ) |

Outputs the Namable.

This function simply writes the name to the output stream; most Namable derivatives will probably redefine this.

Reimplemented from PandaNode.

setShadowCaster | ( | bool | caster,
|  | int | buffer_xsize,
|  | int | buffer_ysize
| ) |  |

Sets the flag indicating whether this light should cast shadows or not.

The xsize and ysize parameters specify the size of the shadow buffer that will be set up, the sort parameter specifies the sort. Note that enabling shadows will require the shader generator to be enabled on the scene.

setShadowCaster | ( | bool | caster | ) |

Sets the flag indicating whether this light should cast shadows or not.

This is the variant without buffer size, meaning that the current buffer size will be kept (512x512 is the default). Note that enabling shadows will require the shader generator to be enabled on the scene.

setShadowCaster | ( | bool | caster,
|  | int | buffer_xsize,
|  | int | buffer_ysize,
|  | int | sort
| ) |  |

Sets the flag indicating whether this light should cast shadows or not.

The xsize and ysize parameters specify the size of the shadow buffer that will be set up, the sort parameter specifies the sort. Note that enabling shadows will require the shader generator to be enabled on the scene.

write | ( | ostream | out | ) |

write | ( | ostream | out,
|  | int | indent_level
| ) |  |

Reimplemented from PandaNode.

All Classes Namespaces Functions Variables Enumerations Enumerator Properties